## org.apache.http.nio.reactor.ssl
Interface SSLSetupHandler

    public interface SSLSetupHandler

Callback interface that can be used to customize various aspects of the TLS/SSl protocol.

Since:
  4.2

Method Summary
`void` `initalize(SSLEngine sslengine)` Triggered when the SSL connection is being initialized.
`void` `verify(IOSession iosession, SSLSession sslsession)` Triggered when the SSL connection has been established and initial SSL handshake has been successfully completed.

Method Detail

### initalize

    void initalize(SSLEngine sslengine)
                   throws SSLException

  Triggered when the SSL connection is being initialized. Custom handlers can use this callback to customize properties of the `SSLEngine` used to establish the SSL session.

  Parameters:
    `sslengine` - the SSL engine.
  Throws:
    `SSLException` - if case of SSL protocol error.

### verify

    void verify(IOSession iosession,
                SSLSession sslsession)
                throws SSLException

  Triggered when the SSL connection has been established and initial SSL handshake has been successfully completed. Custom handlers can use this callback to verify properties of the `SSLSession`. For instance this would be the right place to enforce SSL cipher strength, validate certificate chain and do hostname checks.

  Parameters:
    `iosession` - the underlying IOSession for the SSL connection.
    `sslsession` - newly created SSL session.
  Throws:
    `SSLException` - if case of SSL protocol error.

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.